# List checklist items

List checklist items. See the OpenAPI-defined parameters, request body, and responses below.

Source: https://zild.ai/en-US/docs/api-reference/get-api-ChecklistItem

GET `/ChecklistItem`

List checklist items. See the OpenAPI-defined parameters, request body, and responses below.

**OpenAPI description:** Este endpoint retorna os itens de um checklist específico.

## Authentication

**Authentication required.** Send your user API key in the X-API-Key header.

## Parameters



<table class="api-params"><thead><tr><th>Name</th><th>Location</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>checklistId</code></td><td><code>query</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>



## Request body

This operation does not accept a request body.

## Example request



```
curl --request GET \
  --url 'https://api.zild.ai/ChecklistItem?checklistId={checklistId}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'
```



## Responses



<table class="api-params"><thead><tr><th>Status</th><th>Description</th><th>Response body</th></tr></thead><tbody><tr><td><code>200</code></td><td>Sucesso ao retornar os itens</td><td><code>application/json</code> · <code>array&lt;ChecklistItemDto&gt;</code></td></tr></tbody></table>

**Example response (200):**



```
[
  {
    "id": 0,
    "name": "string",
    "enable": true,
    "prompt": "string",
    "maxScore": 0,
    "highImportance": true,
    "setScoreToZero": true,
    "checklistGroupId": 0,
    "integrationId": "string",
    "checklistId": 0,
    "checklistItemGroupId": 0,
    "checklistItemScriptId": 0,
    "canDelete": true
  }
]
```



## Data models

`ChecklistItemDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>name</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>enable</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>prompt</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>maxScore</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>highImportance</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>setScoreToZero</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>checklistGroupId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>integrationId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>checklistId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>checklistItemGroupId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>checklistItemScriptId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>canDelete</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>
